# Vector DB Benchmark

`vector_db_benchmark` is a Python package that allows you to benchmark vector databases. It enables you to run benchmarks on different vector database implementations under identical conditions, ensuring replicable and fair comparisons.

## Features

- **Benchmark any vector database implementation** that provides the required methods.
- **Replicable benchmarking configurations** using a fixed random seed.
- **Supports both on-disk and in-memory vector databases**.
- **Generates metrics and graphs** for ingestion time, search times, and memory usage.
- **Easy to use** with simple API and command-line interface.

## Installation

Install the package using `pip`:

```bash
pip install vector_db_benchmark
```